> ## Documentation Index
> Fetch the complete documentation index at: https://docs.cj.agc-vie.fnstack.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Get v1policy types

> List policy types



## OpenAPI

````yaml get /v1/policy-types
openapi: 3.0.1
info:
  version: 1.0.0
  title: AGC-VIE - Customer Journeys API
  description: This API can be use for Customer journeys integrations with 3PPs
servers:
  - url: https://dev-api-cj-agc-vie.fnstack.dev
security:
  - API Key: []
paths:
  /v1/policy-types:
    get:
      tags:
        - Policy Types
      description: List policy types
      parameters:
        - schema:
            type: string
            example: AIRTEL_CG
          required: true
          name: carrier
          in: query
      responses:
        '200':
          description: List policy types
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PolicyType'
        '401':
          description: Authentication failed
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                required:
                  - error
        '403':
          description: Forbidden
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                required:
                  - error
        '500':
          description: Internal server error
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                required:
                  - error
components:
  schemas:
    PolicyType:
      type: array
      items:
        type: object
        properties:
          name:
            type: string
            example: AGC-VIE Protect
          policy_type:
            type: string
            enum:
              - CLASSIC_SAVINGS
              - EDUCATIONAL_FORESIGHT
              - MOBIL_PROTECT
              - PENSION_SAVINGS
            example: MOBIL_PROTECT
        required:
          - name
          - policy_type
  securitySchemes:
    API Key:
      type: apiKey
      in: header
      name: x-api-key

````